using Exam.Repository.Sqlsugar.Repositories;
using Exam.Repository.Sqlsugar.Validators.ExamManages;
using Hotline.Repository.SqlSugar;
using Hotline.Repository.SqlSugar.DataPermissions;
using Hotline.Repository.SqlSugar.Exam.Interfaces.ExamManages;
using SqlSugar;
using System.ComponentModel;
using Hotline.Exams.ExamManages;
using XF.Domain.Dependency;

namespace Exam.Repository.Sqlsugar
{
    /// <summary>
    /// 抽题规则仓储
    /// </summary>
    [Description("抽题规则仓储")]
    public class ExtractRuleRepository : ExamRepository<ExamExtractRule>, IExtractRuleRepository,IScopeDependency
    {
        public ExtractRuleRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder, IServiceProvider serviceProvider) : base(uow, dataPermissionFilterBuilder, serviceProvider)
        {
            Validator = new ExtractRuleValidator(this);
        }
    }
}

