using Exam.Repository.Sqlsugar.Validators.ExamManages;
using Hotline.Repository.SqlSugar;
using Hotline.Repository.SqlSugar.DataPermissions;
using Hotline.Repository.SqlSugar.Exam.Interfaces.ExamManages;
using SqlSugar;
using System.ComponentModel;
using Hotline.Exams.ExamManages;
using XF.Domain.Dependency;

namespace Exam.Repository.Sqlsugar.Repositories.ExamManages
{
    /// <summary>
    /// 用户考试明细仓储
    /// </summary>
    [Description("用户考试明细仓储")]
    public class UserExamItemRepository : ExamRepository<ExamUserExamItem>, IUserExamItemRepository,IScopeDependency
    {
        public UserExamItemRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder, IServiceProvider serviceProvider) : base(uow, dataPermissionFilterBuilder, serviceProvider)
        {
            Validator = new UserExamItemValidator();
        }
    }
}

