using Exam.Repository.Sqlsugar.Validators.Trains;
using Hotline.Repository.SqlSugar;
using Hotline.Repository.SqlSugar.DataPermissions;
using Hotline.Repository.SqlSugar.Exam.Interfaces.Trains;
using SqlSugar;
using System.ComponentModel;
using Hotline.Exams.Trains;
using XF.Domain.Dependency;

namespace Exam.Repository.Sqlsugar.Repositories.Trains
{
    /// <summary>
    /// 培训人员仓储
    /// </summary>
    [Description("培训人员仓储")]
    public class TrainUserRepository : ExamRepository<ExamTrainUser>, ITrainUserRepository,IScopeDependency
    {
        public TrainUserRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder, IServiceProvider serviceProvider) : base(uow, dataPermissionFilterBuilder, serviceProvider)
        {
            Validator = new TrainUserValidator();
        }
    }
}

