﻿using Exam.Infrastructure.Extensions;
using FluentValidation;
using Hotline.Exams.ExamManages;
using Hotline.Exams.Questions;
using Hotline.Exams.Validate;
using Hotline.Share.Dtos.Questions;
using ExamQuestion = Hotline.Exams.Questions.ExamQuestion;

namespace Hotline.Validators.Exams.Questions
{
    public class UpdateQuestionTagDtoValidator:AbstractValidator<UpdateQuestionTagDto>
    {
        public UpdateQuestionTagDtoValidator()
        {
            RuleFor(m => m.TagId).NotEmpty().WithMessage(x => string.Format(ExamErrorMessage.IsRequired, typeof(ExamTag).GetDescription()));
            RuleFor(m => m.QuestionId).NotEmpty().WithMessage(x => string.Format(ExamErrorMessage.IsRequired, typeof(ExamQuestion).GetDescription()));
            RuleFor(m=>m.Id).NotEmpty().WithMessage(x => string.Format(ExamErrorMessage.IsRequired, x.GetType().GetDescription(nameof(ExamQuestionTag.Id))));
        }
    }
}
